HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetBalanceTransactions

Contains the different functions to run the operation getBalanceTransactions

  • 5 types
  • 4 values
  • Packagestripeapi-3.0.0.0
  • Exports9
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetBalanceTransactions.hs
valuegetBalanceTransactions
  1. :: MonadHTTP m
  2. => GetBalanceTransactionsParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetBalanceTransactionsResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/balance_transactions

<p>Returns a list of transactions that have contributed to the Stripe account balance (e.g., charges, transfers, and so forth). The transactions are returned in sorted order, with the most recent transactions appearing first.</p>

<p>Note that this endpoint was previously called “Balance history” and used the path <code>/v1/balance/history</code>.</p>

Defines the object schema located at paths./v1/balance_transactions.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/balance_transactions.GET.parameters.properties.queryCreated.anyOf in the specification.

Represents the parameter named 'created'

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getBalanceTransactions.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetBalanceTransactionsResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/balance_transactions.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON